feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.SizeProp

# Documentation

data PropSize a where

Constructors

PropSize :: (Type a, Type b) => (Size a -> Size b) -> PropSize (a :-> (b :-> Full b)) |

Instances

EvalBind PropSize |
Semantic PropSize |
Eval PropSize |
Render PropSize |
ToTree PropSize |
Equality PropSize |
Sharable PropSize |
AlphaEq dom dom dom env => AlphaEq PropSize PropSize dom env |
SizeProp (:|| PropSize Type) |
(:<: (:|| PropSize Type) dom, OptimizeSuper dom) => Optimize (:|| PropSize Type) dom |